Ubuntu

Please merge vsftpd 3.0.2-1 (main) from debian unstable (main)

Reported by Lorenzo De Liso on 2012-12-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vsftpd (Ubuntu)
Wishlist
Unassigned

Bug Description

 vsftpd (3.0.2-1) unstable; urgency=low

   * Merging upstream version 3.0.2.

 -- Daniel Baumann <email address hidden> Fri, 21 Sep 2012 19:16:38 +0200

vsftpd (3.0.0-4) unstable; urgency=low

   * Non-maintainer upload with maintainer sat next to me at Debconf.
   * Fixed debian/vsftpd.init syntax error (Closes: #679710).
   * Added long description in debian/vsftpd.init.

 -- Thomas Goirand <email address hidden> Tue, 03 Jul 2012 15:29:20 +0000

vsftpd (3.0.0-3) unstable; urgency=low

   * Adding patch to avoid overwriting build environment (Closes:
     #677261, #678751).
   * Reenabling hardening buildflags.
   * Removing preseed file.
   * Switching to xz compression.
   * Simplyfing initscript.
   * Removing pre-squeeze update-inetd deconfiguration in postinst.

 -- Daniel Baumann <email address hidden> Sat, 30 Jun 2012 15:24:42 +0200

vsftpd (3.0.0-2) unstable; urgency=low

   * Temporarily build without hardening flags, doesn't build reliably
     everywhere yet (Closes: #677261).

 -- Daniel Baumann <email address hidden> Tue, 12 Jun 2012 18:33:09 +0200

vsftpd (3.0.0-1) unstable; urgency=low

   * Adding note about lxc in readme.
   * Merging upstream version 3.0.0.
   * Updating copyright to format 1.0.
   * Unifying po headers.
   * Sourcing lsb init-functions in initscript, thanks to Vincent Bernat
     <email address hidden> (Closes: #670308).
   * Adding systemd service file, thanks to Vincent Bernat
     <email address hidden>.

 -- Daniel Baumann <email address hidden> Wed, 06 Jun 2012 15:50:51 +0200

Related branches

Lorenzo De Liso (blackz) wrote :
Daniel Holbach (dholbach) wrote :

Good work. I just have one question: Why do you change debian/compat and the debhelper requirement in debian/control?

Changed in vsftpd (Ubuntu):
status: New → Incomplete
Lorenzo De Liso (blackz) wrote :

This change was present in the latest vsftpd version:

diff -pruN 2.3.5-3/debian/control 2.3.5-3ubuntu1/debian/control
--- 2.3.5-3/debian/control 2012-03-04 19:15:09.000000000 +0000
+++ 2.3.5-3ubuntu1/debian/control 2012-05-23 21:04:55.000000000 +0000
@@ -1,10 +1,11 @@
 Source: vsftpd
 Section: net
 Priority: extra
-Maintainer: Daniel Baumann <email address hidden>
+Maintainer: Ubuntu Developers <email address hidden>
+XSBC-Original-Maintainer: Daniel Baumann <email address hidden>
 Build-Depends:
- debhelper (>= 9), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
- libwrap0-dev
+ debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
+ libwrap0-dev, dh-apport
 Standards-Version: 3.9.3
 Homepage: http://vsftpd.beasts.org/

but a) this isn't documented in the changelog (at least the last one) b) the file debian/compat should normally reflect the debhelper version used so I also modified the debian/compat file (this wasn't done in the latest upload).
Lastly, I attached a debdiff that reverts this change if you want.

Changed in vsftpd (Ubuntu):
status: Incomplete → New
Iain Lane (laney) wrote :

Uploaded. Thanks.

I added a bug reference and removed the changelog entry about the postinst, which isn't in your diff and wasn't in the previous upload AFAICS.

Also your comment about compat isn't right; it shouldn't be changed over Debian as a matter of routine unless you need some of the new behaviour (see man debhelper for what changes).

Changed in vsftpd (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vsftpd - 3.0.2-1ubuntu1

---------------
vsftpd (3.0.2-1ubuntu1) raring; urgency=low

  * Merge from debian unstable (LP: #1092076), remaining changes:
    - Use snakeoil SSL certificates and key.
    - debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    - Add apport hook:
      + debian/vsftpd.apport: Added.
      + debian/control: Build-depends on dh-apport.
      + debian/rules: Add --with apport.
    - Add debian/watch file.
    - debian/patches/09-disable-anonymous.patch: Disable anonymous login by
      default.

vsftpd (3.0.2-1) unstable; urgency=low

  * Merging upstream version 3.0.2.

vsftpd (3.0.0-4) unstable; urgency=low

  * Non-maintainer upload with maintainer sat next to me at Debconf.
  * Fixed debian/vsftpd.init syntax error (Closes: #679710).
  * Added long description in debian/vsftpd.init.

vsftpd (3.0.0-3) unstable; urgency=low

  * Adding patch to avoid overwriting build environment (Closes:
    #677261, #678751).
  * Reenabling hardening buildflags.
  * Removing preseed file.
  * Switching to xz compression.
  * Simplyfing initscript.
  * Removing pre-squeeze update-inetd deconfiguration in postinst.

vsftpd (3.0.0-2) unstable; urgency=low

  * Temporarily build without hardening flags, doesn't build reliably
    everywhere yet (Closes: #677261).

vsftpd (3.0.0-1) unstable; urgency=low

  * Adding note about lxc in readme.
  * Merging upstream version 3.0.0.
  * Updating copyright to format 1.0.
  * Unifying po headers.
  * Sourcing lsb init-functions in initscript, thanks to Vincent Bernat
    <email address hidden> (Closes: #670308).
  * Adding systemd service file, thanks to Vincent Bernat
    <email address hidden>.
 -- Lorenzo De Liso <email address hidden> Tue, 18 Dec 2012 19:59:37 +0100

Changed in vsftpd (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers